[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [tycho-user] [cbi-dev] Merging CBI into Platform progress

Sorry, I don’t understand the problem. AFAIK, all products built with Tycho/p2 have the eclipsec.exe on Windows platforms included. Unlinke the eclipse.exe, the eclipsec.exe is never branded/renamed, but this is probably not an issue for you.

 

So, could you go back one step and explain what you are trying to achieve. It seems to be clear for all other people involved in bug 380695, but it isn’t to me…

 

Regards

Tobias

 

 

From: tycho-user-bounces@xxxxxxxxxxx [mailto:tycho-user-bounces@xxxxxxxxxxx] On Behalf Of Andrew Ross
Sent: Freitag, 14. September 2012 23:10
To: Common-build Developers discussion; tycho-user@xxxxxxxxxxx
Subject: Re: [tycho-user] [cbi-dev] Merging CBI into Platform progress

 

Please pardon the re-send. Fixed the tycho-user email.

On 09/14/2012 05:08 PM, Andrew Ross wrote:

Thank you for the update Thanh. Thanks to you, Paul, and the others that provided timely support for good progress this week.

Igor, any ideas/suggestions about 380695? /cc tycho-users too in case others might have a suggestion for tackling.

On 09/14/2012 04:53 PM, Thanh Ha wrote:

Hi Everyone,

Paul and I have been running through the build and resolving issues that arise now that the CBI commits have been pushed into the respective upstream repos with 2 non-pom related repos waiting on commits, status can be found here [1]. Paul's been running the build on build.eclipse.org with BREE libs / signing while I've been running the build on my laptop using the default build options (no bree).

I wanted to give a progress update on what I've seen so far running builds on my system:

- org.eclipse.rcp.feature had issues with not being able to find the root files which Paul resolved in commit [2].

- org.eclipse.equinox.util and org.eclipse.equinox.io had compile issues which I was able to resolve with the diffs below. Although the problem with the diffs is they override the BREE settings. Paul said he did not get the compile issues when building with BREE set and we also tried setting source=1.3 and target=1.1 but that resulted in other compile issues. We need to find a solution for this that does not brake the ability to use BREE settings and still allow us to build without BREE.

- Bug 380695 [3] is still an issue we need to resolve, in CBI we commented them out but we can't do that in the platform repo as it will break PDE build, the bug related to the commits is Bug 389362 [4].


Thanh

[1] https://bugs.eclipse.org/bugs/showdependencytree.cgi?id=389310&hide_resolved=0
[2] http://git.eclipse.org/c/platform/eclipse.platform.releng.git/commit/?h=R4_2_maintenance&id=0178b1c6d711c19311a9202667020b8e6b1beed0
[3] https://bugs.eclipse.org/bugs/show_bug.cgi?id=380695
[4] https://bugs.eclipse.org/bugs/show_bug.cgi?id=389362




diff --git a/bundles/org.eclipse.equinox.io/pom.xml b/bundles/org.eclipse.equinox.io/pom.xml
index 3da882a..57ea6ec 100644
--- a/bundles/org.eclipse.equinox.io/pom.xml
+++ b/bundles/org.eclipse.equinox.io/pom.xml
@@ -23,4 +23,17 @@
   <artifactId>org.eclipse.equinox.io</artifactId>
   <version>1.0.400-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
+
+  <build>
+    <plugins>
+      <plugin>
+        <groupId>org.eclipse.tycho</groupId>
+        <artifactId>tycho-compiler-plugin</artifactId>
+        <configuration>
+          <source>1.5</source>
+          <target>jsr14</target>
+        </configuration>
+      </plugin>
+    </plugins>
+  </build>
 </project>


diff --git a/bundles/org.eclipse.equinox.util/pom.xml b/bundles/org.eclipse.equinox.util/pom.xml
index 7d4296b..ab5e468 100644
--- a/bundles/org.eclipse.equinox.util/pom.xml
+++ b/bundles/org.eclipse.equinox.util/pom.xml
@@ -23,4 +23,17 @@
   <artifactId>org.eclipse.equinox.util</artifactId>
   <version>1.0.400-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
+
+  <build>
+    <plugins>
+      <plugin>
+        <groupId>org.eclipse.tycho</groupId>
+        <artifactId>tycho-compiler-plugin</artifactId>
+        <configuration>
+          <source>1.5</source>
+          <target>jsr14</target>
+        </configuration>
+      </plugin>
+    </plugins>
+  </build>
 </project>